library ieee;
use ieee.std_logic_1164.all;

entity part2 is
	port(
		SW: in std_logic_vector(9 downto 0);
		LEDG: out std_logic_vector(9 downto 0));
end part2;

architecture arch_part2 of part2 is
signal X, Y, M: std_logic_vector(2 downto 0);
signal s: std_logic;
begin
	
	M(0) <= (not (s) and X(0)) or (s and Y(0));
	M(1) <= (not (s) and X(1)) or (s and Y(1));
	M(2) <= (not (s) and X(2)) or (s and Y(2));

--	M <= X when s = '0' else Y; -- alternativa alle istruzioni precedenti
	
	X <= SW(5 downto 3);
	Y <= SW(8 downto 6);
	s <= SW(9);
	
	LEDG(9 downto 3) <= SW(9 downto 3);
	LEDG(2 downto 0) <= M;
	
end arch_part2;