library ieee;
use ieee.std_logic_1164.all;

entity part3 is
	port(
		SW: in std_logic_vector(9 downto 0);
		LEDG: out std_logic_vector(9 downto 0));
end part3;

architecture arch_part3 of part3 is
signal S, U, V, W, M: std_logic_vector(1 downto 0);
signal m0, m1: std_logic;
begin
	
	M(0) <= (not (S(1)) and m0) or (S(1) and W(0));
	m0 <= (not (S(0)) and U(0)) or (S(0) and V(0));

	M(1) <= (not (S(1)) and m1) or (S(1) and W(1));
	m1 <= (not (S(0)) and U(1)) or (S(0) and V(1));

--	M <= W when S(1) = '1' else V when S(0)='1' else U; -- alternativa alle istruzioni precedenti
	
	S <= SW(9 downto 8);
	U <= SW(7 downto 6);
	V <= SW(5 downto 4);
	W <= SW(3 downto 2);
	
	LEDG(9 downto 2) <= SW(9 downto 2);
	LEDG(1 downto 0) <= M;
	
end arch_part3;